Subject: how to push from repository with two tracking branches

From: Gelonida <[email-masked]>
Date: Thu, 13 May 2010 11:09:11 +0200

Hi,

I have a repository with two tracking branches ('master' and 'mybranch')

with only one tracking branch I can do
git pull
make_local_changes
git commit -a
git push

with two tracking branches I will be told off if the other branch has
been updated meanwhile, so what I currently to do is:

# 'pull and fastforward mybranch'
git checkout mybranch
git pull
git checkout master

# pull and commit and push as with one tracking branch
git pull
make_local_changes
git commit -a
git push

How can I do this more efficiently?
after a pull to master (I just had to fast forward mybranch to
remote/mybranch)
Switching branches and pulling seems a little clumsy

N